|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QFileIconProvider Class Reference
[QtGui module]

The QFileIconProvider class provides file icon for the QDirModel class. More...

     #include <QFileIconProvider>

- List of all members, including inherited members

### Public Types

- enum IconType { Computer, Desktop, Trashcan, Network, ..., File }

### Public Functions

- QFileIconProvider ()
- virtual ~QFileIconProvider ()
- virtual QIcon icon ( IconType type ) const
- virtual QIcon icon ( const QFileInfo & info ) const
- virtual QString type ( const QFileInfo & info ) const

## Detailed Description

The QFileIconProvider class provides file icon for the QDirModel class.

## Member Type Documentation

### enum QFileIconProvider::IconType

Constant | Value
--- | ---
`QFileIconProvider::Computer` | `0`
`QFileIconProvider::Desktop` | `1`
`QFileIconProvider::Trashcan` | `2`
`QFileIconProvider::Network` | `3`
`QFileIconProvider::Drive` | `4`
`QFileIconProvider::Folder` | `5`
`QFileIconProvider::File` | `6`

## Member Function Documentation

### QFileIconProvider::QFileIconProvider ()

Constructs a file icon provider.

### QFileIconProvider::~QFileIconProvider () `[virtual]`

Destroys the file icon provider.

### QIcon QFileIconProvider::icon ( IconType type ) const `[virtual]`

Returns an icon set for the given type.

### QIcon QFileIconProvider::icon ( const QFileInfo & info ) const `[virtual]`

This is an overloaded member function, provided for convenience.

Returns an icon for the file described by info.

### QString QFileIconProvider::type ( const QFileInfo & info ) const `[virtual]`

Returns the type of the file described by info.